filter {
    if [type] == "syslog" and ("internal_input" in [tags]) {
        if [msg] =~ "^ *{" {
          json {
            source => "msg"
            target => "doc"
          }
          if "_jsonparsefailure" in [tags] {
            drop {}
          }
          mutate {
            remove_field => ["msg"]
          }
        }
    }
}